Subject: Re: bug#60652: 30.0.50; tree-sitter: `treesit-inspect-mode' seems to break the undo ring... sometimes?

From: Yuan Fu <[email-masked]>
Date: Sun, 8 Jan 2023 19:27:02 -0800

Mickey Petersen <[email-masked]> writes:

> Steps to somewhat reliably reproduce it:
>
> 1. Enable `treesit-inspect-mode' in a valid buffer.
> 2. Do some light editing, and sometimes the undo ring will reset
> itself to just the previous undone state and the current one. In
> effect turning what was a history of undo events into two.
>
> Sadly, I have little more than this to go on.

I am truly amazed :-) I don’t have any idea why, either. AFAIK
treesit-inspect-mode doesn’t do anything dangerous.

Yuan